#!/bin/ksh
# scan quest408 docs for occurrences of ftp.pc.ibm.com using MapOverDocs0 class
# (pattern to be scanned for is a constant in the java code)
# by Mike Rychener, August 2003
#
. /home/quest/.profile
tag=`date +%m%d`
#
# clean out old logs:
rm -f MapOverDocs0.out*
export CLASSPATH=/home/quest/javaroot:$CLASSPATH
# 
# run the scan:
java com.ibm.nzna.shared.util.MapOverDocs0 > MapOverDocs0.out$tag 2>&1
#
# special header:
dtag=`date`
echo $dtag > MapOverDocs0.outdate
head -1 MapOverDocs0.out$tag >> MapOverDocs0.outdate
cat MapOverDocs0.outdate MapOverDocs0.out$tag | sendmail -F 'scanftp.webdb01' bkirshen@us.ibm.com rychener@us.ibm.com
echo "Wrote " MapOverDocs0.out$tag

